Subject: bug#12787: Re: bug#12787: Toolbar regression from Emacs 23 to Emacs 24 -- Save As and Help no longer available

From: [email-masked]
Date: Fri, 02 Nov 2012 15:15:45 -0500 (CDT)

>On 11/02/12, Glenn Morris<[email-masked]> wrote:
>
>[email-masked] wrote:
>
>> I see your point, however the fact remains that this is a regression
>> from Emacs 23 -- and a seemingly arbitrary one at that -- that wasn't
>> mentioned in the NEWS.
>
>The motivation is in this thread:
>http://lists.gnu.org/archive/html/emacs-devel/2010-11/msg00701.html

Thank you for pointing me to the link. That helps explain the change. I don't agree with the assertion that "Save As" is left off of most toolbars. Even when it is, though, it is easy to add back on -- something that is not true with Emacs. 
 
>
>Presumably no-one thought it was NEWSworthy, since it is self-evident.

I don't know about other users, but I look to the NEWS to explain changes. It was self-evident that the change was made, but not why the change was made. 
 
>We can't go back in time and add it now.

Understood. I wasn't asking for that.

>
>> I'd prefer though, that the buttons go back onto the tool bar be
>> default.
>
>Seems unlikely to me.
 
Why not?
 
Thanks,
 
Drew Ames